{
  "psdataentityname" : "MONTHLYFISCALCALENDAR",
  "decat" : "DEFAULT",
  "validflag" : 1,
  "logicvalid" : 0,
  "detype" : 1,
  "codename" : "MonthlyFiscalCalendar",
  "noviewmode" : 1,
  "createdate" : "2020-08-07 09:43:50",
  "memo" : "Monthly fiscal calendar of an organization. A span of time during which the financial activities of an organization are calculated.",
  "useraction" : 0,
  "logicname" : "每月会计日历",
  "existingmodel" : 0,
  "systemflag" : 0,
  "tablename" : "MONTHLYFISCALCALENDAR",
  "psdedbcfgs" : [ {
    "validflag" : 1,
    "createdate" : "2020-08-07 09:43:50",
    "psdedbcfgname" : "MYSQL5"
  } ],
  "psdedrgroups" : [ {
    "codename" : "Auto76",
    "createdate" : "2020-08-07 09:43:50",
    "psdedrgroupname" : "详细信息",
    "ordervalue" : 10000
  } ],
  "psdefields" : [ {
    "usertag" : "DateTime",
    "enableuserinput" : 0,
    "psdefieldname" : "CREATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/CREATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "建立时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto2059",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[CREATEDATE][CreateDate]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 0,
    "psdefieldname" : "CREATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/CREATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 60,
    "logicname" : "建立人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto2631",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[CREATEMAN][CreateMan]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "DateTime",
    "enableuserinput" : 3,
    "psdefieldname" : "EFFECTIVEON",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/EFFECTIVEON",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "EffectiveOn",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "EffectiveOn",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto3859",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[EFFECTIVEON][EffectiveOn]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "EFFECTIVEON",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Decimal",
    "enableuserinput" : 3,
    "psdefieldname" : "EXCHANGERATE",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/EXCHANGERATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "ExchangeRate",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "ExchangeRate",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto589",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[EXCHANGERATE][ExchangeRate]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "EXCHANGERATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Integer",
    "enableuserinput" : 3,
    "psdefieldname" : "FISCALPERIODTYPE",
    "psdatatypename" : "整型",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/FISCALPERIODTYPE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "FiscalPeriodType",
    "psdatatypeid" : "INT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "FiscalPeriodType",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto2413",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[FISCALPERIODTYPE][FiscalPeriodType]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "FISCALPERIODTYPE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD1",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD1",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period1",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period1",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto183",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD1][Period1]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD1",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD10",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD10",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period10",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period10",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto3851",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD10][Period10]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD10",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD10_BASE",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD10_BASE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period10_Base",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period10_Base",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto1897",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD10_BASE][Period10_Base]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD10_BASE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD11",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD11",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period11",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period11",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto351",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD11][Period11]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD11",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD11_BASE",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD11_BASE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period11_Base",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period11_Base",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto560",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD11_BASE][Period11_Base]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD11_BASE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD12",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD12",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period12",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period12",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto4258",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD12][Period12]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD12",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD12_BASE",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD12_BASE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period12_Base",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period12_Base",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto57",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD12_BASE][Period12_Base]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD12_BASE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD1_BASE",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD1_BASE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period1_Base",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period1_Base",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto2742",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD1_BASE][Period1_Base]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD1_BASE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD2",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD2",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period2",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period2",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto3758",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD2][Period2]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD2",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD2_BASE",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD2_BASE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period2_Base",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period2_Base",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto2014",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD2_BASE][Period2_Base]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD2_BASE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD3",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD3",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period3",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period3",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto2565",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD3][Period3]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD3",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD3_BASE",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD3_BASE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period3_Base",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period3_Base",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto4382",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD3_BASE][Period3_Base]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD3_BASE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD4",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD4",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period4",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period4",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto1991",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD4][Period4]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD4",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD4_BASE",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD4_BASE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period4_Base",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period4_Base",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto4565",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD4_BASE][Period4_Base]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD4_BASE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD5",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD5",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period5",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period5",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto2017",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD5][Period5]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD5",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD5_BASE",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD5_BASE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period5_Base",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period5_Base",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto129",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD5_BASE][Period5_Base]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD5_BASE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD6",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD6",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period6",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period6",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto3820",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD6][Period6]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD6",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD6_BASE",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD6_BASE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period6_Base",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period6_Base",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto723",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD6_BASE][Period6_Base]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD6_BASE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD7",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD7",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period7",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period7",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto2946",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD7][Period7]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD7",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD7_BASE",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD7_BASE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period7_Base",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period7_Base",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto3153",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD7_BASE][Period7_Base]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD7_BASE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD8",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD8",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period8",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period8",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto1073",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD8][Period8]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD8",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD8_BASE",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD8_BASE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period8_Base",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period8_Base",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto4468",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD8_BASE][Period8_Base]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD8_BASE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD9",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD9",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period9",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period9",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto4469",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD9][Period9]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD9",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Money",
    "enableuserinput" : 3,
    "psdefieldname" : "PERIOD9_BASE",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/PERIOD9_BASE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Period9_Base",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Period9_Base",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto620",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PERIOD9_BASE][Period9_Base]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PERIOD9_BASE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Lookup",
    "enableuserinput" : 3,
    "psdefieldname" : "SALESPERSONID",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/SALESPERSONID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "SalesPersonId",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 100,
    "logicname" : "SalesPersonId",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "usertag2" : "systemuser",
    "psdefformitems" : [ {
      "codename" : "Auto3801",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[SALESPERSONID][SalesPersonId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "SALESPERSONID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "SALESPERSONNAME",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/SALESPERSONNAME",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "SalesPersonName",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 100,
    "logicname" : "销售员",
    "majorfield" : 1,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto3719",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[SALESPERSONIDYOMINAME][SalesPersonIdYomiName]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ]
  }, {
    "usertag" : "Integer",
    "enableuserinput" : 3,
    "psdefieldname" : "TIMEZONERULEVERSIONNUMBER",
    "psdatatypename" : "整型",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/TIMEZONERULEVERSIONNUMBER",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "TimeZoneRuleVersionNumber",
    "psdatatypeid" : "INT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "TimeZoneRuleVersionNumber",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto1751",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[TIMEZONERULEVERSIONNUMBER][TimeZoneRuleVersionNumber]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "TIMEZONERULEVERSIONNUMBER",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Lookup",
    "enableuserinput" : 3,
    "psdefieldname" : "TRANSACTIONCURRENCYID",
    "psdatatypename" : "外键值",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/TRANSACTIONCURRENCYID",
    "validflag" : 1,
    "derpsdefid" : "Base/TRANSACTIONCURRENCY/TRANSACTIONCURRENCYID",
    "physicalfield" : 1,
    "codename" : "TransactionCurrencyId",
    "psdatatypeid" : "PICKUP",
    "derpsdefname" : "TRANSACTIONCURRENCYID",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "TransactionCurrencyId",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "usertag2" : "transactioncurrency",
    "psdername" : "DER1N_MONTHLYFISCALCALENDAR__TRANSACTIONCURRENCY__TRANSACTIONCURRENCYID",
    "psderid" : "<PSDATAENTITY>/DER1N_MONTHLYFISCALCALENDAR__TRANSACTIONCURRENCY__TRANSACTIONCURRENCYID",
    "psdefformitems" : [ {
      "codename" : "Auto2977",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[TRANSACTIONCURRENCYID][TransactionCurrencyId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_TRANSACTIONCURRENCYID_EQ",
      "createdate" : "2020-08-07 09:43:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "TRANSACTIONCURRENCYID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "DateTime",
    "enableuserinput" : 0,
    "psdefieldname" : "UPDATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/UPDATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "更新时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto4384",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[UPDATEDATE][UpdateDate]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 0,
    "psdefieldname" : "UPDATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/UPDATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 60,
    "logicname" : "更新人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto2024",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[UPDATEMAN][UpdateMan]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Uniqueidentifier",
    "enableuserinput" : 3,
    "psdefieldname" : "USERFISCALCALENDARID",
    "psdatatypename" : "全局唯一标识，文本类型，用户不可见",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/USERFISCALCALENDARID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UserFiscalCalendarId",
    "psdatatypeid" : "GUID",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 1,
    "length" : 60,
    "logicname" : "UserFiscalCalendarId",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto2940",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[USERFISCALCALENDARID][UserFiscalCalendarId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "USERFISCALCALENDARID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Integer",
    "enableuserinput" : 3,
    "psdefieldname" : "UTCCONVERSIONTIMEZONECODE",
    "psdatatypename" : "整型",
    "pssysdbcolumnid" : "DEFAULT/MONTHLYFISCALCALENDAR/UTCCONVERSIONTIMEZONECODE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UTCConversionTimeZoneCode",
    "psdatatypeid" : "INT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/MONTHLYFISCALCALENDAR",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "UTCConversionTimeZoneCode",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto224",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[UTCCONVERSIONTIMEZONECODE][UTCConversionTimeZoneCode]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UTCCONVERSIONTIMEZONECODE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  } ],
  "psdeopprivs" : [ {
    "logicname" : "建立",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "CREATE"
  }, {
    "logicname" : "删除",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "DELETE"
  }, {
    "logicname" : "读取",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "READ"
  }, {
    "logicname" : "更新",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "UPDATE"
  } ],
  "psdetables" : [ {
    "pssysdbtableid" : "DEFAULT/MONTHLYFISCALCALENDAR",
    "psdetablename" : "MONTHLYFISCALCALENDAR",
    "tabletype" : "MAIN",
    "createdate" : "2020-09-02 15:14:58"
  } ],
  "pssysdmitems" : [ {
    "dbobjtype" : "TABLE",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR",
    "userflag" : 0,
    "testsql" : "SELECT 1 FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "a4f7aa3615575bc59c147342ad974af6",
    "pssystemdbcfgid" : "MYSQL5",
    "createsql" : "CREATE TABLE `MONTHLYFISCALCALENDAR`(\n`PERIOD12_BASE`  DECIMAL(12,0) COMMENT 'Period12_Base' \n,`PERIOD5_BASE`  DECIMAL(12,0) COMMENT 'Period5_Base' \n,`PERIOD1`  DECIMAL(12,0) COMMENT 'Period1' \n,`UTCCONVERSIONTIMEZONECODE`  INTEGER COMMENT 'UTCConversionTimeZoneCode' \n,`PERIOD11`  DECIMAL(12,0) COMMENT 'Period11' \n,`PERIOD11_BASE`  DECIMAL(12,0) COMMENT 'Period11_Base' \n,`EXCHANGERATE`  DECIMAL(12,0) COMMENT 'ExchangeRate' \n,`PERIOD9_BASE`  DECIMAL(12,0) COMMENT 'Period9_Base' \n,`PERIOD6_BASE`  DECIMAL(12,0) COMMENT 'Period6_Base' \n,`PERIOD8`  DECIMAL(12,0) COMMENT 'Period8' \n,`SALESPERSONNAME`  VARCHAR(100) COMMENT '销售员' \n,`TIMEZONERULEVERSIONNUMBER`  INTEGER COMMENT 'TimeZoneRuleVersionNumber' \n,`PERIOD10_BASE`  DECIMAL(12,0) COMMENT 'Period10_Base' \n,`PERIOD4`  DECIMAL(12,0) COMMENT 'Period4' \n,`PERIOD2_BASE`  DECIMAL(12,0) COMMENT 'Period2_Base' \n,`PERIOD5`  DECIMAL(12,0) COMMENT 'Period5' \n,`UPDATEMAN`  VARCHAR(60) COMMENT '更新人' \n,`CREATEDATE`  DATETIME COMMENT '建立时间' \n,`FISCALPERIODTYPE`  INTEGER COMMENT 'FiscalPeriodType' \n,`PERIOD3`  DECIMAL(12,0) COMMENT 'Period3' \n,`CREATEMAN`  VARCHAR(60) COMMENT '建立人' \n,`PERIOD1_BASE`  DECIMAL(12,0) COMMENT 'Period1_Base' \n,`USERFISCALCALENDARID`  VARCHAR(60)  NOT NULL PRIMARY KEY COMMENT 'UserFiscalCalendarId' \n,`PERIOD7`  DECIMAL(12,0) COMMENT 'Period7' \n,`PERIOD7_BASE`  DECIMAL(12,0) COMMENT 'Period7_Base' \n,`PERIOD2`  DECIMAL(12,0) COMMENT 'Period2' \n,`SALESPERSONID`  VARCHAR(100) COMMENT 'SalesPersonId' \n,`PERIOD6`  DECIMAL(12,0) COMMENT 'Period6' \n,`PERIOD10`  DECIMAL(12,0) COMMENT 'Period10' \n,`EFFECTIVEON`  DATETIME COMMENT 'EffectiveOn' \n,`PERIOD12`  DECIMAL(12,0) COMMENT 'Period12' \n,`PERIOD3_BASE`  DECIMAL(12,0) COMMENT 'Period3_Base' \n,`UPDATEDATE`  DATETIME COMMENT '更新时间' \n,`PERIOD8_BASE`  DECIMAL(12,0) COMMENT 'Period8_Base' \n,`PERIOD9`  DECIMAL(12,0) COMMENT 'Period9' \n,`PERIOD4_BASE`  DECIMAL(12,0) COMMENT 'Period4_Base' \n,`TRANSACTIONCURRENCYID`  VARCHAR(60) COMMENT 'TransactionCurrencyId' \n)COMMENT='每月会计日历';",
    "psobjname" : "MONTHLYFISCALCALENDAR",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.CREATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `CREATEDATE`  DATETIME  COMMENT '建立时间' \n",
    "testsql" : "SELECT `CREATEDATE` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "718b8345b806a51997184458f9900f09",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEDATE",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.CREATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `CREATEMAN`  VARCHAR(60)  COMMENT '建立人' \n",
    "testsql" : "SELECT `CREATEMAN` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "90da8b49e189d6f1e2a0ae242d1a5d7f",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEMAN",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.EFFECTIVEON",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `EFFECTIVEON`  DATETIME  COMMENT 'EffectiveOn' \n",
    "testsql" : "SELECT `EFFECTIVEON` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "d34ca5f5bfafdd20a0f6884bd072cd11",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "EFFECTIVEON",
    "createdate" : "2020-08-07 09:47:48"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.EXCHANGERATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `EXCHANGERATE`  DECIMAL(12,0)  COMMENT 'ExchangeRate' \n",
    "testsql" : "SELECT `EXCHANGERATE` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "20c07fff004cbb3e96bd5dca327b2e74",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "EXCHANGERATE",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.FISCALPERIODTYPE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `FISCALPERIODTYPE`  INTEGER  COMMENT 'FiscalPeriodType' \n",
    "testsql" : "SELECT `FISCALPERIODTYPE` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "8597a3da590c0c64716e4d77715ae446",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "FISCALPERIODTYPE",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD1",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD1`  DECIMAL(12,0)  COMMENT 'Period1' \n",
    "testsql" : "SELECT `PERIOD1` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "09f142017cebabb629fefe564d901e55",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD1",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD10",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD10`  DECIMAL(12,0)  COMMENT 'Period10' \n",
    "testsql" : "SELECT `PERIOD10` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "d2d71a375bb7f354ed91de771362a229",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD10",
    "createdate" : "2020-08-07 09:47:48"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD10_BASE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD10_BASE`  DECIMAL(12,0)  COMMENT 'Period10_Base' \n",
    "testsql" : "SELECT `PERIOD10_BASE` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "685bc6d0935153eab7d01c9ac6d54e07",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD10_BASE",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD11",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD11`  DECIMAL(12,0)  COMMENT 'Period11' \n",
    "testsql" : "SELECT `PERIOD11` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "13120c44127919ece3a762c5c41f688f",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD11",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD11_BASE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD11_BASE`  DECIMAL(12,0)  COMMENT 'Period11_Base' \n",
    "testsql" : "SELECT `PERIOD11_BASE` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "1f469b1f4d0faf4d0b1e3d9da115e57f",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD11_BASE",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD12",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD12`  DECIMAL(12,0)  COMMENT 'Period12' \n",
    "testsql" : "SELECT `PERIOD12` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "e96cc664b86b96648b1e82f13e643686",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD12",
    "createdate" : "2020-08-07 09:47:48"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD12_BASE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD12_BASE`  DECIMAL(12,0)  COMMENT 'Period12_Base' \n",
    "testsql" : "SELECT `PERIOD12_BASE` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "0340c4452e3ba57c480ca53a3f79ada2",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD12_BASE",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD1_BASE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD1_BASE`  DECIMAL(12,0)  COMMENT 'Period1_Base' \n",
    "testsql" : "SELECT `PERIOD1_BASE` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "95be15f5475c36adfee20a7cf6293da9",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD1_BASE",
    "createdate" : "2020-08-07 09:47:48"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD2",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD2`  DECIMAL(12,0)  COMMENT 'Period2' \n",
    "testsql" : "SELECT `PERIOD2` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "cc93f00af7474c5d5f460dee073e2d1f",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD2",
    "createdate" : "2020-08-07 09:47:48"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD2_BASE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD2_BASE`  DECIMAL(12,0)  COMMENT 'Period2_Base' \n",
    "testsql" : "SELECT `PERIOD2_BASE` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "6ef7ff2bb558e2a3a973630a1a4be51e",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD2_BASE",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD3",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD3`  DECIMAL(12,0)  COMMENT 'Period3' \n",
    "testsql" : "SELECT `PERIOD3` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "8d94d667b0f976a841268b3a5530f543",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD3",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD3_BASE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD3_BASE`  DECIMAL(12,0)  COMMENT 'Period3_Base' \n",
    "testsql" : "SELECT `PERIOD3_BASE` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "f09cc0517f359aaf48c47091c3dd29c8",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD3_BASE",
    "createdate" : "2020-08-07 09:47:48"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD4",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD4`  DECIMAL(12,0)  COMMENT 'Period4' \n",
    "testsql" : "SELECT `PERIOD4` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "6df39840b6f797c1379f23cb057bbd4f",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD4",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD4_BASE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD4_BASE`  DECIMAL(12,0)  COMMENT 'Period4_Base' \n",
    "testsql" : "SELECT `PERIOD4_BASE` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "fab16aeee454d1897094496af04584b4",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD4_BASE",
    "createdate" : "2020-08-07 09:47:48"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD5",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD5`  DECIMAL(12,0)  COMMENT 'Period5' \n",
    "testsql" : "SELECT `PERIOD5` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "6f53ac7eedc122f94ed88580772d45a9",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD5",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD5_BASE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD5_BASE`  DECIMAL(12,0)  COMMENT 'Period5_Base' \n",
    "testsql" : "SELECT `PERIOD5_BASE` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "072ac19c630027b1dfcc02be8695044b",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD5_BASE",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD6",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD6`  DECIMAL(12,0)  COMMENT 'Period6' \n",
    "testsql" : "SELECT `PERIOD6` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "d0a74944c4ffb02efbefde81e243eec9",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD6",
    "createdate" : "2020-08-07 09:47:48"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD6_BASE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD6_BASE`  DECIMAL(12,0)  COMMENT 'Period6_Base' \n",
    "testsql" : "SELECT `PERIOD6_BASE` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "27737d475e370fff8bbc0fbfe00dbee4",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD6_BASE",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD7",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD7`  DECIMAL(12,0)  COMMENT 'Period7' \n",
    "testsql" : "SELECT `PERIOD7` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "a033269bcb0b543bcde974ecf030c495",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD7",
    "createdate" : "2020-08-07 09:47:48"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD7_BASE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD7_BASE`  DECIMAL(12,0)  COMMENT 'Period7_Base' \n",
    "testsql" : "SELECT `PERIOD7_BASE` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "aab42adba96f591fd4db46a774769124",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD7_BASE",
    "createdate" : "2020-08-07 09:47:48"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD8",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD8`  DECIMAL(12,0)  COMMENT 'Period8' \n",
    "testsql" : "SELECT `PERIOD8` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "3c2ab22f63628e791b5d8600970054b4",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD8",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD8_BASE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD8_BASE`  DECIMAL(12,0)  COMMENT 'Period8_Base' \n",
    "testsql" : "SELECT `PERIOD8_BASE` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "f62d15146410f547ebfc5211438567d6",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD8_BASE",
    "createdate" : "2020-08-07 09:47:48"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD9",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD9`  DECIMAL(12,0)  COMMENT 'Period9' \n",
    "testsql" : "SELECT `PERIOD9` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "f6425a4ddc456d00bb8eddae6b3ad96e",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD9",
    "createdate" : "2020-08-07 09:47:48"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.PERIOD9_BASE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `PERIOD9_BASE`  DECIMAL(12,0)  COMMENT 'Period9_Base' \n",
    "testsql" : "SELECT `PERIOD9_BASE` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "22607051e85968aa2c8f7ea097946401",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PERIOD9_BASE",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.SALESPERSONID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `SALESPERSONID`  VARCHAR(100)  COMMENT 'SalesPersonId' \n",
    "testsql" : "SELECT `SALESPERSONID` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "cf580a9bdcd04929045b2c58919c5bc5",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "SALESPERSONID",
    "createdate" : "2020-08-07 09:47:48"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.SALESPERSONNAME",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `SALESPERSONNAME`  VARCHAR(100)  COMMENT '销售员' \n",
    "testsql" : "SELECT `SALESPERSONNAME` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "41819a7b1778aa8164fdf5d5b580f156",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "SALESPERSONNAME",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.TIMEZONERULEVERSIONNUMBER",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `TIMEZONERULEVERSIONNUMBER`  INTEGER  COMMENT 'TimeZoneRuleVersionNumber' \n",
    "testsql" : "SELECT `TIMEZONERULEVERSIONNUMBER` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "6134b225306f985bab088c2f97a6d186",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "TIMEZONERULEVERSIONNUMBER",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "FKEY",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.TRANSACTIONCURRENCYID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE MONTHLYFISCALCALENDAR ADD CONSTRAINT F3D89EAC5A7E319EF0 FOREIGN KEY(TRANSACTIONCURRENCYID) REFERENCES TRANSACTIONCURRENCY(TRANSACTIONCURRENCYID)",
    "psobjid" : "a18802b4b2bdeca0d0efdcb1b5454d94",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "TRANSACTIONCURRENCYID",
    "createdate" : "2020-08-07 09:47:48"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.TRANSACTIONCURRENCYID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `TRANSACTIONCURRENCYID`  VARCHAR(60)  COMMENT 'TransactionCurrencyId' \n",
    "testsql" : "SELECT `TRANSACTIONCURRENCYID` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "a18802b4b2bdeca0d0efdcb1b5454d94",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "TRANSACTIONCURRENCYID",
    "createdate" : "2020-08-07 09:47:48"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.UPDATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `UPDATEDATE`  DATETIME  COMMENT '更新时间' \n",
    "testsql" : "SELECT `UPDATEDATE` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "f0b73ae7019fc5c48a620fe56af6ee23",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEDATE",
    "createdate" : "2020-08-07 09:47:48"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.UPDATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `UPDATEMAN`  VARCHAR(60)  COMMENT '更新人' \n",
    "testsql" : "SELECT `UPDATEMAN` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "6f9208fa8a50e4381e4b8921315dda5d",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEMAN",
    "createdate" : "2020-08-07 09:47:47"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.USERFISCALCALENDARID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `USERFISCALCALENDARID`  VARCHAR(60)  COMMENT 'UserFiscalCalendarId' \n",
    "testsql" : "SELECT `USERFISCALCALENDARID` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "9fb4ade0c6bb9b64911ef40679b8eb14",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "USERFISCALCALENDARID",
    "createdate" : "2020-08-07 09:47:48"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "MONTHLYFISCALCALENDAR.UTCCONVERSIONTIMEZONECODE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `MONTHLYFISCALCALENDAR`\nADD COLUMN `UTCCONVERSIONTIMEZONECODE`  INTEGER  COMMENT 'UTCConversionTimeZoneCode' \n",
    "testsql" : "SELECT `UTCCONVERSIONTIMEZONECODE` FROM `MONTHLYFISCALCALENDAR` WHERE 1<>1",
    "psobjid" : "0c3756ee9cce4cb7f730549f1696190d",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UTCCONVERSIONTIMEZONECODE",
    "createdate" : "2020-08-07 09:47:47"
  } ]
}